summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerhard Bräunlich <wippbox@gmx.net>2016-09-19 18:36:31 +0200
committerDavid Seifert <soap@gentoo.org>2016-09-24 15:30:09 +0200
commitfcd24257a64491dc584f2bb5e4cfd6a987d58093 (patch)
tree3df0c61064bd8425b8b30fa396df373ba5b8ba76 /sci-mathematics/nusmv
parentnet-misc/tor: further economize on openrc init script (diff)
downloadgentoo-fcd24257a64491dc584f2bb5e4cfd6a987d58093.tar.gz
gentoo-fcd24257a64491dc584f2bb5e4cfd6a987d58093.tar.bz2
gentoo-fcd24257a64491dc584f2bb5e4cfd6a987d58093.zip
sci-mathematics/nusmv: version bump to 2.6.0 + EAPI bump
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/2271 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sci-mathematics/nusmv')
-rw-r--r--sci-mathematics/nusmv/Manifest2
-rw-r--r--sci-mathematics/nusmv/metadata.xml1
-rw-r--r--sci-mathematics/nusmv/nusmv-2.6.0.ebuild81
3 files changed, 84 insertions, 0 deletions
diff --git a/sci-mathematics/nusmv/Manifest b/sci-mathematics/nusmv/Manifest
index 5b815730672..38fefd87d5b 100644
--- a/sci-mathematics/nusmv/Manifest
+++ b/sci-mathematics/nusmv/Manifest
@@ -4,3 +4,5 @@ DIST NuSMV-2.5.0.tar.gz 3792968 SHA256 59310f5f23f72cb1ad16419e40f245db7c5aa41c0
DIST NuSMV-2.5.2.tar.gz 3631420 SHA256 bc41c53c266d41d7bcb92851fbdb07d894c246d1189bfe420301c7b4fca46de0 SHA512 678dd85a860744943e56a3fc02b3cccacc93fcbac064bcda079e612348b91876372a866e7236bdf12fb3c1dae9d727d3baaa23fa3f4cf5194497f06c87e00e9f WHIRLPOOL bb491869c997d1de09632986c03945c7e0e76173735bd07c18951030d3e61ab370ddd3dd9db9c585ede62768e1dd7d3465da418a0c29577e502a7f9afecbc9fe
DIST NuSMV-2.5.3.tar.gz 3951637 SHA256 d5d6b2873dfa6f82ff9bef1a7eefa36dc5070557aa2b0e0d53cc8c54b2fe437d SHA512 8233a621d3cfad17d0b8f77a33460089b5c0a9fa694e6d91cbd6eb334213cd8d9e37fce8755e9ebc066279f25e86dfa7ded0197f679e42b8f2e7c048cc93356a WHIRLPOOL ea8075f405324179a822b9abd78f2c5d2a0c62ac31d2682f2145db7b033e2cf30f3a466689d75814cc3bfc551471425097d17515b19742f298899a432daec249
DIST NuSMV-2.5.4.tar.gz 3968258 SHA256 3c250624cba801b1f62f50733f9507b0f3b3ca557ce1cd65956178eb273f1bdf SHA512 fc3cc641bbdbfc9464947c9991c8d363adeed9ed34af215c092a14b32d5ce536cb2dbc4eee1645d5aa85caa85e6e95b695620fa247f3a22652cdc4cd252c4c79 WHIRLPOOL 5822d1e7d853cf78cbdee07b0dafa1216fd226ecad803533310351573c7e9a864e6bba699a16c1b357da458311bf65b7362b6207b63e0c8008123e63950121e1
+DIST NuSMV-2.6.0.tar.gz 4223312 SHA256 dba953ed6e69965a68cd4992f9cdac6c449a3d15bf60d200f704d3a02e4bbcbb SHA512 3749e0267c2adffaa5f2f98ee925f5a774e3132277a02c549b3f4b836f8b090a44d6a14730b58251d7bb88055eb55e89f0eab7fea8714cb2f0786afd803efd0e WHIRLPOOL 26dfa45e0cb97807364783a574f5ec1d26e7240eec411bf1f674872c62e037d912e409dabbfb78fdd52a4a317297fc3918149efe1460dadc0e5d5d0a3cabfb28
+DIST zchaff.64bit.2007.3.12.zip 63139 SHA256 9b88d8f366d0dc6b3cacd9d497e755d06af069ff27411870cc8b40fe0f11911f SHA512 075d0bceede6643a880763943cba9a2fa0f6c58c47b86c0a2bbbe86a2e3925dc5b3859800d1cab0c558d727635556beb77f9efbd0f2837a768ef8d513dc2b300 WHIRLPOOL ba62b561d415ea15f6734466a45760aba4fa45430f1baf904db5f15332bfc94797cbc2f9ebc2f77797bffc1489a54a527790f4f7314bf92871324e8e3cf0c0ab
diff --git a/sci-mathematics/nusmv/metadata.xml b/sci-mathematics/nusmv/metadata.xml
index a6eef5c0306..314da184fb2 100644
--- a/sci-mathematics/nusmv/metadata.xml
+++ b/sci-mathematics/nusmv/metadata.xml
@@ -10,5 +10,6 @@
</maintainer>
<use>
<flag name="minisat">Enable support for MiniSat</flag>
+ <flag name="zchaff">Enable support for zChaff</flag>
</use>
</pkgmetadata>
diff --git a/sci-mathematics/nusmv/nusmv-2.6.0.ebuild b/sci-mathematics/nusmv/nusmv-2.6.0.ebuild
new file mode 100644
index 00000000000..b63439aee55
--- /dev/null
+++ b/sci-mathematics/nusmv/nusmv-2.6.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils python-any-r1 toolchain-funcs
+
+MY_P="NuSMV-${PV}"
+NUSMV_A="${MY_P}.tar.gz"
+ZCHAFF_A="zchaff.64bit.2007.3.12.zip"
+
+DESCRIPTION="NuSMV: new symbolic model checker"
+HOMEPAGE="http://nusmv.fbk.eu/"
+SRC_URI="http://nusmv.fbk.eu/distrib/${NUSMV_A}
+ zchaff? ( http://www.princeton.edu/~chaff/zchaff/${ZCHAFF_A} )"
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minisat doc zchaff"
+REQUIRED_USE="|| ( minisat zchaff )"
+
+SHARED_DEPEND="minisat? ( >=sci-mathematics/minisat-2.2.0_p20130925 )"
+RDEPEND="${SHARED_DEPEND}
+ dev-libs/expat"
+DEPEND="${SHARED_DEPEND}
+ doc? (
+ virtual/latex-base
+ dev-texlive/texlive-latexextra
+ app-doc/doxygen
+ )
+ dev-libs/libxml2"
+
+S="${WORKDIR}/${MY_P}/NuSMV"
+
+src_unpack() {
+ unpack "${NUSMV_A}"
+ if use zchaff; then
+ cp "${DISTDIR}/${ZCHAFF_A}" "${WORKDIR}/${MY_P}/zChaff" || die
+ fi
+}
+
+src_prepare() {
+ sed -i -e 's/-mcpu=[^\s]*//' "${WORKDIR}/${MY_P}/cudd-2.4.1.1"/Makefile || die
+ # Prevent automatic build of minisat - we are using the ebuild from portage
+ sed -i -e 's/ add_subdirectory(${MINISAT_SOURCE_DIR} ${MINISAT_BUILD_DIR})//' \
+ -e 's/MINISAT_LIB/MiniSat/' CMakeLists.txt || die
+ sed -i -e 's/DEPENDS MINISAT_BUILD//' code/nusmv/core/sat/solvers/CMakeLists.txt || die
+ # Change the "prog-man/html" rule to optional
+ sed -i -e '/\s*install( .*html /s:${PROJECT_BINARY_DIR}:share/nusmv/doc OPTIONAL:' doc/prog-man/CMakeLists.txt || die
+ # Change the doc destination
+ sed -i -e "s:share/nusmv/doc:share/doc/${PF}:" doc/{tutorial,user-man,prog-man}/CMakeLists.txt || die
+
+ # Correction for proper parallel compilation
+# sed -i -e 's/COMMAND ${MAKE}/COMMAND $(MAKE)/' "${WORKDIR}/${MY_P}/"{zchaff,MiniSat}/CMakeLists.txt || die
+ default
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_MINISAT=$(usex minisat)
+ -DENABLE_ZCHAFF=$(usex zchaff)
+ -DMINISAT_INCLUDE_DIR="${EPREFIX}"/usr/include/minisat/simp
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ local targets=( all )
+ use doc && targets+=( prog-man user-man html tutorial docs )
+ cmake-utils_src_compile "${targets[@]}"
+}
+
+src_install() {
+ cmake-utils_src_install
+ # Remove docs where they do not belong to
+ rm -f "${ED%/}"/usr/share/nusmv/{LGPL-2.1,README*,NEWS} || die
+}